/* copyright 2002 Oliver Dain
   This file is part of Resistor.

    Resistor is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Foobar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Resistor; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef RESISTOR_WIN_H
#define RESISTOR_WIN_H

#include "dialog.h"

class ResistorWin :
	public ResistorForm
{
	Q_OBJECT
public:
	ResistorWin(void);
	virtual ~ResistorWin(void);
protected:
	void FillBand(QComboBox * pix);
public slots:
    void btnBandToNum_clicked();
	void btnNumToBand_clicked();
	void setBand2NumDefault();
	void setNum2BandDefault();
};

#endif
